package com.caliverse.admin.global.common.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface DynamoDBTransaction {
    // 트랜잭션 타임아웃 설정
    long timeout() default 10000;

    // 트랜잭션 실패 시 재시도 횟수
    int retryCount() default 1;

    // 작업 설명 (로깅용)
    String description() default "";
}
